Subject: bug#59485: 'guix system list-generations' identifies wrong generation as current

From: Julien Lepiller <[email-masked]>
Date: Tue, 22 Nov 2022 18:22:06 +0100

Current system generation identifies the one that would boot by default. Basically, booted ≠ current. Maybe guix system could show that information.

Le 22 novembre 2022 18:06:19 GMT+01:00, Felix Lechner via Bug reports for GNU Guix <[email-masked]> a écrit :
>Hi,
>
>On my equipment the command 'guix system list-generations' identifies
>the most recent system generation as "(current)" even though I booted
>a different, past generation via Grub.
>
>The information is most certainly wrong because my latest generation
>does not boot successfully.
>
>I don't know if it matters, but I used 'guix deploy' on my local system.
>
>Kind regards,
>Felix Lechner
>
>
>